List stop components

Required scope: stop_catalogs.read.

List the components of your stop catalog: the part of a machine a stop is attributed to.

Components are assigned to machines; use GET /v1/stops/classification-options for the components of a given machine.

Response Body

application/json

application/json

application/json

application/json

Try it live
GET
/v1/stops/components

This endpoint requires authentication — paste a token in the Authorization section below.

curl -X GET "https://example.com/v1/stops/components"
[  {    "id": "3e8e81cf-7521-4ef9-b6c9-40074aa764c5",    "name": "Main motor",    "description": "string"  }]